# Get location

Getting information about the location.

Endpoint: GET /locations/{location_id}
Version: 1.0.0
Security: BearerPartner

## Security:

  - `BearerPartner` (unknown)
    http bearer Bearer {PartnerToken}

## Path parameters:

  - `location_id` (number, required)
    The ID of the location to get information about.

## Query parameters:

  - `my` (number)
    For authorized user only. If you need additional data for the location that the user has rights to manage

  - `forBooking` (number)
    Date and time of the next free session in the location (ISO8601).

  - `show_groups` (number)
    Include in the location object a list of chains that this location belongs to

  - `showBookforms` (number)
    Show location online booking forms (widgets)

  - `bookform_id` (number)
    Show url of online booking form with specified ID

## Header parameters:

  - `Accept` (string, required)
    Must be `application/vnd.api.v2+json`

  - `Content-Type` (string, required)
    Must be `application/json`

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Success status (true)

  - `data` (object)
    Object with data

  - `data.id` (number)
    location ID

  - `data.title` (string)
    location name

  - `data.country_id` (number)
    Identifier of the country in which the location is located

  - `data.country` (string)
    Name of the country in which the location is located

  - `data.city_id` (number)
    City ID where the location is located

  - `data.city` (string)
    Name of the city where the location is located

  - `data.timezone_name` (string)
    timezone locations

  - `data.address` (string)
    Address where the location is located

  - `data.zip` (string)
    Zip code

  - `data.social` (object)
    location social media

  - `data.social.telegram` (string)
    Telegram

  - `data.social.instagram` (string)
    Instagram

  - `data.social.vk` (string)
    VK (social network)

  - `data.social.facebook` (string)
    Facebook

  - `data.social.viber` (string)
    Viber

  - `data.social.whatsapp` (string)
    WhatsApp

  - `data.site` (string)
    location website

  - `data.coordinate_lat` (number)
    Latitude

  - `data.coordinate_lon` (number)
    Longitude

  - `data.phone_confirmation` (boolean)
    Do I need to confirm the phone by SMS when appointment

  - `data.active_staff_count` (number)
    Number of team members available for appointment

  - `data.next_slot` (string)
    Date and time of the next free session in the location (ISO8601). The field will be present only if the GET parameter forBooking=1 is passed

  - `data.group_priority` (integer)
    The higher the priority, the higher the location when displayed in the list of chain locations

  - `data.push_notification_phone_confirm` (any)
    Confirm client number to send push notifications (0/1 or boolean)

  - `data.main_group_id` (number)
    Main location chain ID

  - `data.main_group` (any)
    Main location chain (object or empty array)

  - `data.main_group.id` (number)
    Chain ID

  - `data.main_group.title` (string)
    Chain name

  - `data.groups` (object)
    All location chains. Only when show_groups=1 is set

  - `data.bookforms` (array)
    location online booking forms (widgets)

  - `data.bookforms.id` (number)
    appointment form ID

  - `data.bookforms.title` (string)
    appointment form name

  - `data.bookforms.is_default` (number)
    Is this appointment form location default

  - `data.bookforms.url` (string)
    appointment form url

  - `data.online_sales_form_url` (string)
    appointment form url. Only if bookform_id is set

  - `data.payment_policy` (object)
    Currently enabled payment policy for the location

  - `data.payment_policy.type` (string)
    Payment policy type: none — disabled, deposit — prepaid deposit, card_guarantee — card guarantee
    Enum: "none", "deposit", "card_guarantee"

  - `data.access` (object)
    Access rights list. Only if my=1 is set

  - `meta` (array)
    Metadata (empty array)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errors` (object)
    Additional response data.

  - `errors.code` (number)
    Error number.
    Example: 401

  - `errors.message` (string)
    Error message.
    Example: Authentication needed

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `errors` (object)
    Additional response data.

  - `errors.code` (number)
    Error number.
    Example: 404

  - `errors.message` (string)
    Error message.
    Example: Not found

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Not found

